# Interface AnnotationValue.OfEnum

All Superinterfaces:
  `AnnotationValue`

Enclosing interface:
  `AnnotationValue`

public static sealed interface AnnotationValue.OfEnum extends AnnotationValue
Models an enum value of an element-value pair. The tag of this value is e.

Since:
  24

- ## Nested Class Summary

  ### Nested classes/interfaces declared in interface AnnotationValue

  `AnnotationValue.OfAnnotation, AnnotationValue.OfArray, AnnotationValue.OfBoolean, AnnotationValue.OfByte, AnnotationValue.OfChar, AnnotationValue.OfClass, AnnotationValue.OfConstant, AnnotationValue.OfDouble, AnnotationValue.OfEnum, AnnotationValue.OfFloat, AnnotationValue.OfInt, AnnotationValue.OfLong, AnnotationValue.OfShort, AnnotationValue.OfString`

- ## Field Summary

  ### Fields declared in interface AnnotationValue

  `TAG_ANNOTATION, TAG_ARRAY, TAG_BOOLEAN, TAG_BYTE, TAG_CHAR, TAG_CLASS, TAG_DOUBLE, TAG_ENUM, TAG_FLOAT, TAG_INT, TAG_LONG, TAG_SHORT, TAG_STRING`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Utf8Entry`
  `className()`
  Returns the enum class descriptor string.
  `default ClassDesc`
  `classSymbol()`
  Returns the enum class descriptor.
  `Utf8Entry`
  `constantName()`
  Returns the enum constant name.

  ### Methods declared in interface AnnotationValue

  `tag`

- ## Method Details

  - ### className

    Utf8Entry className()
    Returns the enum class descriptor string.
    Returns:
      the enum class descriptor string

  - ### classSymbol

    default ClassDesc classSymbol()
    Returns the enum class descriptor.
    Returns:
      the enum class descriptor

  - ### constantName

    Utf8Entry constantName()
    Returns the enum constant name.
    Returns:
      the enum constant name